
Name:		abiword
Summary:	Lean and fast full-featured word processor
Version:	3.0.5
Release:	%mkrel 2
Group:		Office
URL:		http://www.abisource.com/
License:	GPLv2+
Source0:	http://www.abisource.com/downloads/abiword/%{version}/source/%{name}-%{version}.tar.xz
Patch1: enchant-2.1.patch
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: bison
BuildRequires: desktop-file-utils
#BuildRequires: asio
BuildRequires: gnome-common
BuildRequires: python-gobject
BuildRequires: python-setuptools
BuildRequires: lib64cairo-devel 
BuildRequires: lib64champlain-devel 
BuildRequires: lib64enchant-devel
BuildRequires: lib64dbus-glib-1_2-devel 
BuildRequires: lib64aiksaurus-devel 
BuildRequires: lib64glib2.0-devel 
BuildRequires: lib64aiksaurusgtk-devel 
BuildRequires: lib64fribidi-devel 
BuildRequires: lib64glib2.0-devel 
BuildRequires: lib64girepository-devel
BuildRequires: lib64gtk+3.0-devel 
BuildRequires: lib64gnutls-devel 
BuildRequires: lib64ical-devel 
BuildRequires: lib64gsf-1_114-devel 
BuildRequires: lib64goffice0.10_10-devel
BuildRequires: evolution-data-server-devel
BuildRequires: lib64xml2-devel 
BuildRequires: lib64revenge-devel 
BuildRequires: lib64wpd-devel
BuildRequires: lib64rasqal-devel 
BuildRequires: lib64pango1.0-devel 
BuildRequires: lib64rsvg2-devel
BuildRequires: lib64redland-devel 
BuildRequires: lib64wpg-devel
BuildRequires: lib64gtkmathview-devel 
BuildRequires: lib64ots-devel 
BuildRequires: lib64soup-devel
BuildRequires: lib64wv-devel 
BuildRequires: libloudmouth-devel
BuildRequires: lib64telepathy-glib-devel 
BuildRequires: lib64png-devel 
BuildRequires: lib64link-grammar4-devel   
BuildRequires: lib64boost-devel
BuildRequires: lib64gcrypt-devel
BuildRequires: lib64jpeg-devel
BuildRequires: libpsiconv-devel
BuildRequires: lib64wmf-devel
BuildRequires: lib64python-devel
BuildRequires: libpthread-stubs
BuildRequires: wayland-protocols-devel


%description
AbiWord is a cross-platform, open source, lean and fast full-featured word
processor. It works on Most Unix systems, Microsoft Windows and Mac OS X.

Abiword with the GNOME front-end is part of the GNOME Office Suite.
See http://www.gnomeoffice.org for details.

%package devel
Summary:	Devel files for Abiword
Group:		Development/Other
Requires:	%{name} = %{version}

%description devel
This pacakage contains devel files for Abiword, mainly header files
and pkg files.

%package -n python-%{name}
Summary:	Python bindings for libabiword
Group:      Development/Python
Requires:	%{name} = %{version}


%description -n python-%{name}
This package installs Python bindings for libabiword.

%prep
%setup -q
%apply_patches


%build

%configure2_5x \
	--disable-static \
	--enable-plugins \
	--enable-clipart \
	--enable-templates \
	--enable-introspection \
	--disable-collab-backend-service
	
%make

%install
rm -rf %buildroot
%makeinstall_std

find %{buildroot} -name '*.la' -delete

desktop-file-install --vendor="" \
	--remove-category="X-Red-Hat-Base" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

#unused	
rm -f %{buildroot}/%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.AbiCollab.service
rm -f %{buildroot}/%{_datadir}/telepathy/clients/AbiCollab.client


%files
%{_bindir}
%{_libdir}/abiword-3.0/plugins
%{_datadir}/abiword-3.0
%{_datadir}/appdata/abiword.appdata.xml
%{_datadir}/applications/abiword.desktop
%{_datadir}/icons
%{_libdir}/girepository-1.0/Abi-3.0.typelib
%{_mandir}

%{_libdir}/libAiksaurusGtk3--export-dynamic.so
%{_libdir}/libabiword-3.0.so

%files devel
%{_includedir}
%{_libdir}/pkgconfig
%{_datadir}/gir-1.0/Abi-3.0.gir
%{_libdir}/libAiksaurusGtk3.so

%files -n python-%{name}
%{_libdir}/python2.7/site-packages/gi/overrides/Abi.py
%{_libdir}/python2.7/site-packages/gi/overrides/Abi.pyc
%{_libdir}/python2.7/site-packages/gi/overrides/Abi.pyo


%changelog
* Mon Feb 27 2023 tex - 3.0.5-2pclos2023
- rebuild without soup3-devel
